| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Static Public Member Functions | Protected Member Functions
Tp::BaseProtocolPresenceInterface Class Reference
Connection manager service implementation

Base class for implementations of Protocol.Interface.Presence. More...

`#include <TelepathyQt/BaseProtocolPresenceInterface>`

Inherits Tp::AbstractProtocolInterface.

List of all members.

## Public Member Functions

- virtual ~BaseProtocolPresenceInterface ()
- QVariantMap immutableProperties () const
- PresenceSpecList statuses () const
- void setStatuses (const PresenceSpecList &statuses)

## Static Public Member Functions

- static
  BaseProtocolPresenceInterfacePtr create ()
- template<typename BaseProtocolPresenceInterfaceSubclass > static SharedPtr
  < BaseProtocolPresenceInterfaceSubclass > create ()

## Protected Member Functions

- BaseProtocolPresenceInterface ()

## Detailed Description

Base class for implementations of Protocol.Interface.Presence.

## Constructor & Destructor Documentation

Tp::BaseProtocolPresenceInterface::~BaseProtocolPresenceInterface | ( |  | ) | `[virtual]`

Class destructor.

Tp::BaseProtocolPresenceInterface::BaseProtocolPresenceInterface | ( |  | ) | `[protected]`

Class constructor.

## Member Function Documentation

static BaseProtocolPresenceInterfacePtr Tp::BaseProtocolPresenceInterface::create | ( |  | ) | `[inline, static]`

template<typename BaseProtocolPresenceInterfaceSubclass >

static SharedPtr<BaseProtocolPresenceInterfaceSubclass> Tp::BaseProtocolPresenceInterface::create | ( |  | ) | `[inline, static]`

QVariantMap Tp::BaseProtocolPresenceInterface::immutableProperties | ( |  | ) | const`[virtual]`

Return the immutable properties of this interface.

Immutable properties cannot change after the interface has been registered on a service on the bus with registerInterface().

Returns:
  The immutable properties of this interface.

Implements Tp::AbstractDBusServiceInterface.

PresenceSpecList Tp::BaseProtocolPresenceInterface::statuses | ( |  | ) | const

Return the list of presence statuses that have been set with setStatuses().

This list is exposed as the Statuses property of this interface on the bus and represents the statuses that might appear in the Connection.Interface.SimplePresence.Statuses property on a connection to this protocol that supports SimplePresence.

This property is immutable and cannot change after this interface has been registered on an object on the bus with registerInterface().

Returns:
  The list of presence statuses that have been set with setStatuses().

See also:
  setStatuses()

void Tp::BaseProtocolPresenceInterface::setStatuses | ( | const PresenceSpecList & | statuses | ) |

Set the list of statuses that might appear in the Connection.Interface.SimplePresence.Statuses property on a connection to this protocol that supports SimplePresence.

This property is immutable and cannot change after this interface has been registered on an object on the bus with registerInterface().

Parameters:

  statuses | The statuses list to set.

See also:
  statuses()